ReferenceScanning

Visitors

6 operations. Send Authorization: Bearer $PASSBOOK_KEY. Markdown

GET/api/v1/visitors
passes:readSDK pb.visitors.list

Query

tab"today" | "upcoming" | "past"
dayStartinteger | null · ≥ 0
dayEndinteger | null · ≥ 0
cursorstring · max 512

Returns

200

Errors

CodeStatusFix
FORBIDDENUse a key with the scope the operation lists, or ask an org admin.
INVALID_API_KEYCreate a new key in the console and update PASSBOOK_KEY.
MISSING_SCOPECreate a key with the scope the operation lists under security.
NOT_INSIDEDo nothing; check occupancy before marking out.
PASS_NOT_FOUNDCheck the id with GET /api/v1/passes and the key's mode.
RATE_LIMITEDWait for Retry-After seconds, then retry. Back off on repeats.
UNAUTHENTICATEDSend Authorization: Bearer $PASSBOOK_KEY.
VALIDATIONFix each field in issues and resend.
VISITOR_CHANGEDFetch the visitor list with GET /api/v1/visitors and send your change again.
VISITOR_HOST_NOTICE_FAILEDSend the request again; the visit is still recorded.
VISITOR_HOST_UNKNOWNChoose a host from GET /api/v1/visitors/hosts.
VISITOR_INCheck them out first.
VISITOR_NOT_FOUNDCheck the id with GET /api/v1/visitors.
VISITOR_NOT_INCheck them in before this action.
VISITOR_OUTDo nothing; check status with GET /api/v1/visitors.
VISITOR_RESEND_LIMITContact the host another way.
VISITOR_TEMPLATE_MISSINGSet up the visitor template in the console, then retry.
POST/api/v1/visitors
passes:writeSDK pb.visitors.create

Body

orgIdstring · max 64Required
namestring · max 80Required
windowFrominteger · ≥ 0Required
windowUntilinteger · ≥ 0Required
emailstring · max 254
hostUserIdstring · max 64
hostNamestring · max 80
hostEmailstring · max 254
notestring · max 100
templateIdstring · max 64

Returns

201

Errors

CodeStatusFix
FORBIDDENUse a key with the scope the operation lists, or ask an org admin.
INVALID_API_KEYCreate a new key in the console and update PASSBOOK_KEY.
MISSING_SCOPECreate a key with the scope the operation lists under security.
NOT_INSIDEDo nothing; check occupancy before marking out.
PASS_NOT_FOUNDCheck the id with GET /api/v1/passes and the key's mode.
RATE_LIMITEDWait for Retry-After seconds, then retry. Back off on repeats.
UNAUTHENTICATEDSend Authorization: Bearer $PASSBOOK_KEY.
VALIDATIONFix each field in issues and resend.
VISITOR_CHANGEDFetch the visitor list with GET /api/v1/visitors and send your change again.
VISITOR_HOST_NOTICE_FAILEDSend the request again; the visit is still recorded.
VISITOR_HOST_UNKNOWNChoose a host from GET /api/v1/visitors/hosts.
VISITOR_INCheck them out first.
VISITOR_NOT_FOUNDCheck the id with GET /api/v1/visitors.
VISITOR_NOT_INCheck them in before this action.
VISITOR_OUTDo nothing; check status with GET /api/v1/visitors.
VISITOR_RESEND_LIMITContact the host another way.
VISITOR_TEMPLATE_MISSINGSet up the visitor template in the console, then retry.
GET/api/v1/visitors/hosts
passes:readSDK pb.visitors.listHosts

Query

cursorstring · max 512

Returns

200

Errors

CodeStatusFix
FORBIDDENUse a key with the scope the operation lists, or ask an org admin.
INVALID_API_KEYCreate a new key in the console and update PASSBOOK_KEY.
MISSING_SCOPECreate a key with the scope the operation lists under security.
NOT_INSIDEDo nothing; check occupancy before marking out.
PASS_NOT_FOUNDCheck the id with GET /api/v1/passes and the key's mode.
RATE_LIMITEDWait for Retry-After seconds, then retry. Back off on repeats.
UNAUTHENTICATEDSend Authorization: Bearer $PASSBOOK_KEY.
VALIDATIONFix each field in issues and resend.
VISITOR_CHANGEDFetch the visitor list with GET /api/v1/visitors and send your change again.
VISITOR_HOST_NOTICE_FAILEDSend the request again; the visit is still recorded.
VISITOR_HOST_UNKNOWNChoose a host from GET /api/v1/visitors/hosts.
VISITOR_INCheck them out first.
VISITOR_NOT_FOUNDCheck the id with GET /api/v1/visitors.
VISITOR_NOT_INCheck them in before this action.
VISITOR_OUTDo nothing; check status with GET /api/v1/visitors.
VISITOR_RESEND_LIMITContact the host another way.
VISITOR_TEMPLATE_MISSINGSet up the visitor template in the console, then retry.
POST/api/v1/visitors/{id}/check-out
passes:writeSDK pb.visitors.checkOut

Path

idstring · max 64Required

Returns

200

Errors

CodeStatusFix
FORBIDDENUse a key with the scope the operation lists, or ask an org admin.
INVALID_API_KEYCreate a new key in the console and update PASSBOOK_KEY.
MISSING_SCOPECreate a key with the scope the operation lists under security.
NOT_FOUNDCheck the id, and that the key's mode (test or live) matches the object.
NOT_INSIDEDo nothing; check occupancy before marking out.
PASS_NOT_FOUNDCheck the id with GET /api/v1/passes and the key's mode.
RATE_LIMITEDWait for Retry-After seconds, then retry. Back off on repeats.
UNAUTHENTICATEDSend Authorization: Bearer $PASSBOOK_KEY.
VALIDATIONFix each field in issues and resend.
VISITOR_CHANGEDFetch the visitor list with GET /api/v1/visitors and send your change again.
VISITOR_HOST_NOTICE_FAILEDSend the request again; the visit is still recorded.
VISITOR_HOST_UNKNOWNChoose a host from GET /api/v1/visitors/hosts.
VISITOR_INCheck them out first.
VISITOR_NOT_FOUNDCheck the id with GET /api/v1/visitors.
VISITOR_NOT_INCheck them in before this action.
VISITOR_OUTDo nothing; check status with GET /api/v1/visitors.
VISITOR_RESEND_LIMITContact the host another way.
VISITOR_TEMPLATE_MISSINGSet up the visitor template in the console, then retry.
POST/api/v1/visitors/{id}/cancel
passes:writeSDK pb.visitors.cancel

Path

idstring · max 64Required

Returns

200

Errors

CodeStatusFix
FORBIDDENUse a key with the scope the operation lists, or ask an org admin.
INVALID_API_KEYCreate a new key in the console and update PASSBOOK_KEY.
MISSING_SCOPECreate a key with the scope the operation lists under security.
NOT_FOUNDCheck the id, and that the key's mode (test or live) matches the object.
NOT_INSIDEDo nothing; check occupancy before marking out.
PASS_NOT_FOUNDCheck the id with GET /api/v1/passes and the key's mode.
RATE_LIMITEDWait for Retry-After seconds, then retry. Back off on repeats.
UNAUTHENTICATEDSend Authorization: Bearer $PASSBOOK_KEY.
VALIDATIONFix each field in issues and resend.
VISITOR_CHANGEDFetch the visitor list with GET /api/v1/visitors and send your change again.
VISITOR_HOST_NOTICE_FAILEDSend the request again; the visit is still recorded.
VISITOR_HOST_UNKNOWNChoose a host from GET /api/v1/visitors/hosts.
VISITOR_INCheck them out first.
VISITOR_NOT_FOUNDCheck the id with GET /api/v1/visitors.
VISITOR_NOT_INCheck them in before this action.
VISITOR_OUTDo nothing; check status with GET /api/v1/visitors.
VISITOR_RESEND_LIMITContact the host another way.
VISITOR_TEMPLATE_MISSINGSet up the visitor template in the console, then retry.
POST/api/v1/visitors/{id}/host-email
passes:writeSDK pb.visitors.sendHostEmail

Path

idstring · max 64Required

Body

timeZonestring · max 64

Returns

200

Errors

CodeStatusFix
FORBIDDENUse a key with the scope the operation lists, or ask an org admin.
INVALID_API_KEYCreate a new key in the console and update PASSBOOK_KEY.
MISSING_SCOPECreate a key with the scope the operation lists under security.
NOT_FOUNDCheck the id, and that the key's mode (test or live) matches the object.
NOT_INSIDEDo nothing; check occupancy before marking out.
PASS_NOT_FOUNDCheck the id with GET /api/v1/passes and the key's mode.
RATE_LIMITEDWait for Retry-After seconds, then retry. Back off on repeats.
UNAUTHENTICATEDSend Authorization: Bearer $PASSBOOK_KEY.
VALIDATIONFix each field in issues and resend.
VISITOR_CHANGEDFetch the visitor list with GET /api/v1/visitors and send your change again.
VISITOR_HOST_NOTICE_FAILEDSend the request again; the visit is still recorded.
VISITOR_HOST_UNKNOWNChoose a host from GET /api/v1/visitors/hosts.
VISITOR_INCheck them out first.
VISITOR_NOT_FOUNDCheck the id with GET /api/v1/visitors.
VISITOR_NOT_INCheck them in before this action.
VISITOR_OUTDo nothing; check status with GET /api/v1/visitors.
VISITOR_RESEND_LIMITContact the host another way.
VISITOR_TEMPLATE_MISSINGSet up the visitor template in the console, then retry.